For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTInitiate carrier outreach
      • GETList outreaches
      • GETGet an outreach record
LogoLogo
SupportDashboard
EndpointsOutreaches

Initiate carrier outreach

POST
/outreaches
POST
/api/v1/outreaches
$curl -X POST https://tryenvoy.ai/api/v1/outreaches \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "carrier_id": "car_9f8b7c6d-1234-4a56-b789-0a1b2c3d4e5f",
> "load_id": "load_1a2b3c4d-5678-4e90-8f12-3a4b5c6d7e8f"
>}'
1{
2 "id": "otr_4e5f6a7b-89c0-4d1e-9f23-456789abcdef",
3 "carrier": {
4 "id": "car_9f8b7c6d-1234-4a56-b789-0a1b2c3d4e5f",
5 "name": "Swift Logistics",
6 "mc_number": "MC123456",
7 "dot_number": "DOT654321",
8 "email": "[email protected]",
9 "phone": "+1-555-123-4567",
10 "dispatcher_name": "Jane Doe",
11 "dispatcher_phone": "+1-555-987-6543",
12 "dispatcher_email": "[email protected]",
13 "is_active": true,
14 "provider": "EnvoyAI",
15 "ingestion_method": "API",
16 "equipment_types": [
17 "VAN",
18 "REEFER"
19 ],
20 "insurance_expiration": "2024-12-31T23:59:59Z",
21 "w9_on_file": true,
22 "authorized_for_hire": true,
23 "on_time_pickup_pct": 95.5,
24 "on_time_delivery_pct": 97.2,
25 "tracking_compliance_pct": 92.8,
26 "avg_response_time_min": 15.3,
27 "total_loads_hauled": 1240,
28 "is_onboarded": true,
29 "carrier_rep_user_id": "usr_123e4567-e89b-12d3-a456-426614174000",
30 "carrier_rep_name": "John Smith",
31 "carrier_rep_email": "[email protected]",
32 "is_verified": true,
33 "verified_date": "2023-11-01T08:00:00Z",
34 "created_at": "2020-05-20T14:22:00Z",
35 "updated_at": "2024-04-10T10:15:00Z"
36 },
37 "load_id": "load_1a2b3c4d-5678-4e90-8f12-3a4b5c6d7e8f",
38 "modality": "call",
39 "direction": "outbound",
40 "created_at": "2024-06-01T09:30:00Z",
41 "load_number": "LD123456789",
42 "carrier_engaged": true,
43 "call_id": "call_abcdef12-3456-7890-abcd-ef1234567890",
44 "conversation_id": "conv_0987fedc-ba65-4321-0fed-cba987654321"
45}

Initiate an outbound carrier outreach (call or email). Validates outreach limits and load data before initiating.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

List outreaches

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Organization-IDstring or nullOptional

Request

This endpoint expects an object.
carrier_idstringRequiredformat: "uuid"
Carrier UUID to contact
load_idstringRequiredformat: "uuid"
Load UUID for the outreach
modalityenumOptionalDefaults to call

Outreach channel: ‘call’ to initiate a voice call, ‘email’ to start an email negotiation

Allowed values:
contact_idstring or nullOptionalformat: "uuid"
Specific contact UUID. If omitted, selects by priority.

Response

Successful Response
idstringformat: "^otr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
carrierobject

v1 carrier response - wraps domain CarrierModel with prefixed IDs.

load_idstringformat: "^load_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
modalityenum

Communication channel: call or email

Allowed values:
directionenum

Direction: inbound or outbound

Allowed values:
created_atdatetime
load_numberstring or null
carrier_engagedboolean or null
call_idstring or null
conversation_idstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error